summaryrefslogtreecommitdiff
path: root/dehydrated
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2017-01-31 14:21:50 +0100
committerJonas Smedegaard <dr@jones.dk>2017-01-31 14:21:50 +0100
commit46dcaad88bae560e4798a16c91aecffcd5041058 (patch)
treea74a34f3ecb9f3fd667fa5b0db931c7c2e48f6ea /dehydrated
parent6b251a83423fd5bf66cea1460ffdf19cf980f439 (diff)
Fix hook.
Diffstat (limited to 'dehydrated')
-rwxr-xr-xdehydrated/hook.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/dehydrated/hook.sh b/dehydrated/hook.sh
index 2aa257c..c68cdf6 100755
--- a/dehydrated/hook.sh
+++ b/dehydrated/hook.sh
@@ -10,7 +10,7 @@ REALM=$(cat /etc/local-ORG/realm)
servicehosts() {
SERVICE=$1; shift
for binary in "$@"; do
- which -- "$binary" || exit
+ > /dev/null which -- "$binary" || exit
done
cat "/etc/local-REDPILL/$REALM/${SERVICE}host" \
"/etc/local-REDPILL/$REALM/${SERVICE}althosts" \
@@ -18,7 +18,7 @@ servicehosts() {
| perl -0777 -pe 's/\s*\#.*//gm;s/^\s+//;s/\s+$//;s/\s+/|/g'
}
MAILHOSTS=$(servicehosts mail postconf)
-MAILHOSTS=$(servicehosts chat ejabberdctl)
+CHATHOSTS=$(servicehosts chat ejabberdctl)
case "$ACTION" in
deploy_challenge) ;;